// pages/circleNotice/circleNotice.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    circleId: 0,
    isOwner: false,
    noticeList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    that.setData({
      circleId: options.circleId
    })
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_get_circle_notice_list.php',
      data: {
        unionId: config.unionId,
        circleId:that.data.circleId
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          that.setData({
            isOwner: res.data.result.isOwner,
            noticeList: res.data.result.noticeList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  //发布公告
  noticeNew() {
    wx.navigateTo({
      url: '../circleNoticeNew/circleNoticeNew?circleId=' + this.data.circleId,
    });
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})